Bug 251156 - Don't show the first-time wizard
Don't show the first-time wizard
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-07 11:11 EDT by Matthias Clasen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-16 17:13:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2007-08-07 11:11:04 EDT
It is really out-of-place, compared to other desktop applications, and annoying.
The consensus of the desktop team is that we would be better off without it.
Luckily, Ubuntu already has a patch for this:


--- gimp-2.3.18.orig/debian/patches/10_dont_show_wizard.patch
+++ gimp-2.3.18/debian/patches/10_dont_show_wizard.patch
@@ -0,0 +1,32 @@
+diff -Nur gimp-2.3.16/app/dialogs/user-install-dialog.c
gimp-2.3.16.new/app/dialogs/user-install-dialog.c
+--- gimp-2.3.16/app/dialogs/user-install-dialog.c	2007-01-23 11:13:50.000000000
+0100
++++ gimp-2.3.16.new/app/dialogs/user-install-dialog.c	2007-05-02
17:54:23.000000000 +0200
+@@ -46,15 +46,18 @@
+ gboolean
+ user_install_dialog_run (GimpUserInstall *install)
+ {
++#if USER_INSTALLATION_DIALOG
+   GtkWidget *dialog;
++#endif
+   gboolean   success;
+ 
+   g_return_val_if_fail (install != NULL, FALSE);
+-
++#if USER_INSTALLATION_DIALOG
+   dialog = user_install_dialog_new (install);
+-
++#endif
+   success = gimp_user_install_run (install);
+ 
++#if USER_INSTALLATION_DIALOG
+   if (! success)
+     {
+       g_signal_connect (dialog, "response",
+@@ -67,6 +70,7 @@
+     }
+ 
+   gtk_widget_destroy (dialog);
++#endif
+ 
+   return success;
+ }

If we apply this, we should also lobby upstream to nuke the wizard, or at
least make it a compile-time option.
Comment 1 Nils Philippsen 2007-08-08 04:55:59 EDT
The wizard is already nuked upstream in gimp-2.3.x which I'm considering for
inclusion in devel anyway as 2.4 is likely to be ready within the F8 timeframe.
Comment 2 Nils Philippsen 2007-08-16 17:13:09 EDT
I've just built 2.4.0-rc1 for Rawhide which doesn't have the first-time wizard.
Comment 3 Matthias Clasen 2007-08-16 23:09:35 EDT
Thanks, very cool

Note You need to log in before you can comment on or make changes to this bug.